#!/bin/sh
# /usr/local/bin/Get-Gtk-Theme.sh
# Goal: To use the background and foreground colors of
# ----- the currrent GTK theme in the MRUF-lst script.
# Note: The expression "gtk_color_scheme" exists in 67 % of the gtkrc
# ----- files at /usr/share/themes/*/gtk-2.0/gtkrc on my Puppy.
# (c) Christian L'Écuyer, alias « musher0 » (PuppyLinux forum),
# Gatineau (Qc), Canada, Sept. 18 2016. GPL3.
#### set -xe
MRUFrep="/usr/local/share/MRUF";MRUF="MRUF-lst";corps="$MRUFrep/corps"
awk -F\" '$2 ~ /theme/ { print $2 }' /root/.gtkrc-2.0 > /tmp/GTKTheme
# Ex. : "/usr/share/themes/Rusty_Sand-mod/gtk-2.0/gtkrc"
GTKTheme="`cat /tmp/GTKTheme`"

if [ "`grep gtk_color_scheme $GTKTheme`" = "" ];then
	urxvt +sb -b 20 -g 46x11-115+150 -fn xft:LiberationMono:pixelsize=15:antialias=true:autohint=true -fg grey15 -bg linen -cr orange -bd orange3 +uc -bc -e /usr/local/bin/Inapplicable.sh
else
	rm -f /usr/local/share/MRUF/Color
	awk -F":" '$1 ~ /gtk_color_scheme/ { print $1,$2,$3 }' $GTKTheme | awk -F\" '{ print $2 }' | awk -F"\\" '{ print $1,$2 }' | awk '{ print $4,$2 }' | tr " " "\n" > $MRUFrep/Color
	# more $MRUFrep/Color
	rm -f $corps;$MRUF
fi # set +xe
